{% extends "base.html" %}

{% block content %}
<h3>Toutes les notes de frais</h3>
<div style="vertical-align: middle; display: inline;">
  {% if "all" in request.GET %}
    <a href="{% url "expense-report-list" %}" style="float-right"><button>Notes de frais en cours</button></a>
    <spacer type="vertical" align="center" />
    <button disabled>Toutes les notes de frais</button disabled>
  {% else %}
    <button disabled>Notes de frais en cours</button disabled>
    <spacer type="vertical" align="center" />
    <a href="{% url "expense-report-list" %}?all" style="float-right"><button>Toutes les notes de frais</button></a>
  {% endif %}
</div>
<table>
  <thead>
    <tr>
      <th>ID</th>
      <th>Status</th>
      <th>Date</th>
      <th>Créé par</th>
      <th>Événement</th>
      <th>Descriptif</th>
      <th>Montant</th>
    </tr>
  </thead>
  <tbody>
    {% for object in object_list %}
    <tr>
      <td>{% if object.document_id %}{{ object.document_id }}{% endif %}</td>
      <td class="{% if not object.created_by.banking_information.validated %}text-warning{% endif %}">{{ object.get_state_display }}</td>
      <td>{% if object.submitted_at %}{{ object.submitted_at.date }}{% else %}{{ object.created.date }}{% endif %}</td>
      <td>
        {% if object.created_by %}
        <a href="{% url "user-banking-information-detail" object.created_by.banking_information.pk %}">{{ object.created_by }}</a>
        {% else %}
        Supprimé
        {% endif %}
      </td>
      <td class="text-wrap">
        <a href="{% url "expense-report-detail" object.pk %}">{{ object.get_event_display }} : {{ object.event_description }}</a>
      </td>
      <td class="text-wrap">{{ object.description }}</td>
      <td>{{ object.amount }} €</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
{% endblock %}
